NFSSTAT(8C)

NAME
nfsstat - Network File System statistics

SYNOPSIS
nfsstat [ -cmnrsz ]

AVAILABILITY
This program is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION
nfsstat displays statistical information about the NFS (Network File System) and RPC (Remote Procedure Call), interfaces to the kernel. It can also be used to reinitialize this information. If no options are given the default is

    nfsstat -cnrs

That is, display everything, but reinitialize nothing.

OPTIONS

-c  Display client information. Only the client side NFS and RPC information will be printed. Can be combined with the -n and -r options to print client NFS or client RPC information only.

-m  Display statistics for each NFS mounted file system. This includes the server name and address, mount flags, current read and write sizes, the retransmission count, and the timers used for dynamic retransmission. The srtt value contains the smoothed round trip time, the dev value contains the estimated deviation, and the cur value is the current backed-off retransmission value.

-n  Display NFS information. NFS information for both the client and server side will be printed. Can be combined with the -c and -s options to print client or server NFS information only.

-r  Display RPC information.

-s  Display server information.

-z  Zero (reinitialize) statistics. This option is for use by the super-user only, and can be combined with any of the above options to zero particular sets of statistics after printing them.

DISPLAYS

The server RPC display includes the following fields:

    calls
        The total number of RPC calls received.

    badcalls
        The total number of calls rejected by the RPC layer (the sum of badlen and xdrcall as defined below).

    nullrecv
        The number of times an RPC call was not available when it was thought to be received.

    badlen
        The number of RPC calls with a length shorter than a minimum-sized RPC call.

    xdrcall
        The number of RPC calls whose header could not be XDR decoded.

The server NFS display shows the number of NFS calls received (calls) and rejected (badcalls), and the counts and percentages for the various calls that were made.

The client RPC display includes the following fields:

    calls
        The total number of RPC calls made.
    badcalls
        The total number of calls rejected by the RPC layer.
    retrans
        The number of times a call had to be retransmitted due to a timeout while waiting for a reply from the server.
    badxid
        The number of times a reply from a server was received which did not correspond to any outstanding call.
    timeout
        The number of times a call timed out while waiting for a reply from the server.
    wait
        The number of times a call had to wait because no client handle was avaiable.
    newcred
        The number of times authentication information had to be refreshed.
    timers
        The number of times the calculated time-out value was greater than or equal to the minimum specified time-out value for a call.

The client NFS display shows the number of calls sent and rejected, as well as the number of times a CLIENT handle was received (nclget), the number of times a call had to sleep while awaiting a handle (nclsleep), as well as a count of the various calls and their respective percentages.

FILES
/vmunix
    system namelist
/dev/kmem
    kernel memory